﻿using System;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;

namespace Kanban.Model
{
    public partial class KanbanDataContext : DbContext
    {
        public KanbanDataContext(DbContextOptions<KanbanDataContext> options)
            : base(options)
        { }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<KanbanTask>(entity =>
            {
                entity.Property(e => e.Id).IsRequired();
            });

        }
        public virtual DbSet<KanbanTask> Tasks { get; set; }
    }

    public class KanbanTask
    {
        [Key]
        public int Id { get; set; }
        public string Status { get; set; }
        public string Summary { get; set; }
        public string Type { get; set; }
        public string Priority { get; set; }
        public string Tags { get; set; }
        public Nullable<double> Estimate { get; set; }
        public string Assignee { get; set; }
        public string ImgUrl { get; set; }
        public int RankId { get; set; }
    }

    public class KanbanCRUDParams
    {
        public string key { get; set; }
        public string action { get; set; }
        public List<KanbanTask> added { get; set; }
        public List<KanbanTask> changed { get; set; }
        public List<KanbanTask> deleted { get; set; }
        public KanbanTask value { get; set; }
    }
}
